{
  stdenv,
  lib,
  pnpm,
}:

stdenv.mkDerivation (finalAttrs: {
  pname = "web";
  version = "0.1";

  src = ../web;

  pnpmDeps = pnpm.fetchDeps {
    inherit (finalAttrs) pname version src;
    hash = "sha256-dTXWbUDjmlIlMZ/sIFaInTRmVdWpyzJA4oadJAzUivs=";
  };

  nativeBuildInputs = [
    pnpm.configHook
  ];

  buildInputs = [
  ];

  dontStrip = true;

  meta = with lib; {
    platforms = lib.platforms.all;
  };
})
